﻿@import 'md-style.elem.css';
@import 'md-style.elem.Popup.css';
@import 'md-style.elem.Spoiler.css';
@import 'md-style.elem.RadioButton.css';
@import 'md-style.elem.Image.css';
@import 'md-style.elem.Check.css';

body {
    font-family: 'Segoe UI', 'Ubuntu', sans-serif;
}

.slow-hide {
    opacity: 0.2 !important;
    transition: opacity 0.2s;
    pointer-events: none;
}

@keyframes fadeToNone {
    100% {
        opacity: 0;
    }

    50% {
        opacity: 0;
    }

    0% {
        opacity: 1;
    }
}

.rendered-md-container h1 {
}

.rendered-md-container h2 {
}

.rendered-md-container h3 {
}

.rendered-md-container h4 {
}

.rendered-md-container h5 {
}

.rendered-md-container h6 {
}

.rendered-md-container blockquote {
    background: #0094ff73;
    padding: 7px 10px;
    border-left: 10px solid #0094ff;
    margin: 4px;
}

    .rendered-md-container blockquote h2 {
        font-size: 1.1rem;
    }

.rendered-md-container .info {
    background-color: #0094ff73;
    padding: 7px 10px;
    border-left: 10px solid #0094ff;
    margin: 4px;
}

.rendered-md-container .warning {
    background-color: #ff8d0050;
    padding: 7px 10px;
    border-left: 10px solid #ff8d00;
    margin: 4px;
}

.rendered-md-container .error {
    background-color: #ff170050;
    padding: 7px 10px;
    border-left: 10px solid #ff1700;
    margin: 4px;
}

.rendered-md-container .default {
    background-color: #c3c3c350;
    padding: 7px 10px;
    border-left: 10px solid #c3c3c3;
    margin: 4px;
}

    .rendered-md-container .default p, .rendered-md-container .error p, .rendered-md-container .warning p, .rendered-md-container .info p, .rendered-md-container blockquote p {
        margin: 0;
    }


.rendered-md-container .IAssetLink {
    display: inline-block;
    padding: 2px 10px 4px 10px;
    margin: 2px;
    background: #eee;
    color: rgb(var(--accent-color-rgb));
    border-radius: 10px;
    text-decoration: none;
}

    .rendered-md-container .IAssetLink:hover {
        filter: brightness(1.03);
    }

img {
    max-width: 100%;
}

.absolute {
    position: absolute;
}

.relative {
    position: relative;
}

.md-css-grid {
    display: grid;
    grid-gap: 10px;
}

/*
    INPUT TYPES:
*/
.TextBox {
}

.CheckBox {
}

label {
    margin-right: 10px;
}

.DropDown {
}


.TextBoxContent {
}

.CheckBoxContent {
}

    .CheckBoxContent input {
        margin-bottom: 10px;
    }

.DropDownContent {
    padding: 5;
}


.QuestionHeadLine {
    /*font-weight: bold;*/
    font-size: 19px;
    margin-bottom: 15px;
    margin-top: 15px;
}

.dlElement-imagePreview {
    width: 100%;
}

/* TABLE OF CONTENTS */
.TableOfContents li a {
    color: #000;
    text-decoration: none;
}

    .TableOfContents li a:hover {
        color: #000;
    }

.TableOfContents ul {
    list-style: none;
    padding-left: 24px;
}

    .TableOfContents ul ul {
        border-left: 1px solid #c7c7c7;
        padding-bottom: 10px;
    }

.TableOfContents .toc-level-numbering {
    margin-right: 10px;
    display: inline-block;
    width: 50px;
}

/* NICER NUMBERS */
ol {
    counter-reset: item
}

    ol[type='1'] li {
        display: block
    }

        ol[type='1'] li:before {
            content: counters(item, ".") " ";
            counter-increment: item
        }


/* AUDITQ BASISPRÜFUNG TODO MUSS IN EIGENE CSS PRO PRODUKT */
.QuestionColumn {
    display: grid;
    grid-template-rows: 1fr max-content;
    padding-right: 40px;
    padding-top: 6px;
}

.RadioButton-Content {
    padding-left: 0px !important;
}

.QuestionColumnContain {
    display: grid;
    grid-template-columns: max-content 1fr;
}

#viewer.sub-docu-docs {
    background: white;
}

.ausgabeText {
    opacity: 1;
}

ul.contains-task-list {
    list-style-type: none;
}

    ul.contains-task-list input {
        border-radius: 5px;
        background: white;
    }